petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPSetUseFischerGuess

Use the Paul Fischer algorithm

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetUseFischerGuess(KSP ksp,PetscInt model,PetscInt size)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov context
| model | - use model 1, model 2 or any other number to turn it off
| size | - size of subspace used to generate initial guess

### Options Database

-ksp_fischer_guess <model,size> -uses the Fischer initial guess generator for repeated linear solves

### See Also

KSPSetOptionsPrefix(), KSPAppendOptionsPrefix(), KSPSetUseFischerGuess(), KSPSetGuess(), KSPGetGuess()

### Level

advanced

### Location

src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages